<section class="storage-avatar">

  <div class="storage-avatar__wrap">

    <dwfe-preview-pic-circled class="storage-avatar__userpic"
                              [picUrl$]="nevisService.auth.avatarUrl$"
                              [previewWHinPx]="100"
                              (takeClearClick)="setAvatarUrl(null)"></dwfe-preview-pic-circled>

    <div class="storage-avatar__choose-file-wrap">

      <dwfe-action-choose-file [maxFileSizeInBytes]="maxFileSizeInBytes"
                               [validExtentions]="validExtentions"
                               [disableValidators]="true"
                               (takeControl)="cChosenFile=$event"
                               (takeClick)="errorMessage=''; successMessage=''"
                               (chosenFile)="file=$event"></dwfe-action-choose-file>
    </div>

  </div>

  <div class="storage-avatar__btn-upload-wrap">

    <dwfe-action-ok class="storage-avatar__btn-upload"
                    [Label]="app.i18n('upload', i18n)"
                    [errorMessage]="errorMessage"
                    [successMessage]="successMessage"
                    [showErrorMessage]="errorMessage !== ''"
                    [showSuccessMessage]="successMessage !== ''"
                    [isDisabled]="!file || (file && file.size > maxFileSizeInBytes)"
                    (takeClick)="upload()"></dwfe-action-ok>
  </div>

  <dwfe-overlay *ngIf="isLocked"></dwfe-overlay>

</section>
